# Uses of Interface
org.eclipse.ui.progress.IElementCollector

Packages that use IElementCollector
Package
Description
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.ui.progress
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of IElementCollector in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type IElementCollector
Modifier and Type
Method
Description
`void`
DeferredDebugElementWorkbenchAdapter.`fetchDeferredChildren(Object object, IElementCollector collector, IProgressMonitor monitor)`
Deprecated.

## Uses of IElementCollector in org.eclipse.ui.progress

Methods in org.eclipse.ui.progress that return IElementCollector
Modifier and Type
Method
Description
`protected IElementCollector`
DeferredTreeContentManager.`createElementCollector(Object parent, PendingUpdateAdapter placeholder)`
Create the element collector for the receiver.
Methods in org.eclipse.ui.progress with parameters of type IElementCollector
Modifier and Type
Method
Description
`void`
IDeferredWorkbenchAdapter.`fetchDeferredChildren(Object object, IElementCollector collector, IProgressMonitor monitor)`
Called by a job run in a separate thread to fetch the children of this adapter.